Index: trunk/MagicSoft/Mars/resources/TeVsources.txt
===================================================================
--- trunk/MagicSoft/Mars/resources/TeVsources.txt	(revision 8405)
+++ trunk/MagicSoft/Mars/resources/TeVsources.txt	(revision 8405)
@@ -0,0 +1,49 @@
+Object         z       RA (J2000.0) Dec.(J2000.0) mag    mag   
+                                                  nucl   host
+--------------------------------------------------------------
+1ES_0033+595     -     00 35 52.6   +59 50 05     18.4    U    
+1ES_0120+340   0.272   01 23 08.8   +34 20 50     18.0   18.2   
+RGB_0136+391     -     01 36 32.7   +39 06 00     15.6    U   
+RGB_0214+517   0.049   02 14 17.9   +51 44 52     17.0   14.5   
+3C_66A         0.444   02 22 39.6   +43 02 08     14.5    U    
+1ES_0647+250     -     06 50 46.5   +25 03 00     15.2    U    
+1ES_0806+524   0.138   08 09 49.2   +52 18 58     17.9    ? 
+OJ_287         0.306   08 54 48.9   +20 06 31     15.3    U 
+1ES_1011+496   0.200   10 15 04.2   +49 26 01     16.2   17.1   
+1ES_1028+511   0.361   10 31 18.5   +50 53 36     16.3    ? 
+Mkn_421        0.031   11 04 27.3   +38 12 32     12.9   13.0
+RGB_1117+202   0.139   11 17 06.2   +20 14 08       -     ?    
+Mkn_180        0.045   11 36 26.4   +70 09 27     15.8   14.2
+RGB_1136+676   0.135   11 36 30.1   +67 37 04     17.9   16.1   
+ON_325         0.130   12 17 52.1   +30 07 01     14.8   16.2
+1ES_1218+304   0.182   12 21 21.9   +30 10 37     16.7    ? 
+RGB_1417+257   0.237   14 17 56.6   +25 43 25     17.5    ? 
+1ES_1426+428   0.129   14 28 32.6   +42 40 21     17.3   16.1
+1ES_1544+820     -     15 40 15.7   +81 55 06     15.3    ?  
+Mkn_501        0.034   16 53 52.2   +39 45 37     14.2   12.6
+OT_546         0.055   17 28 18.6   +50 13 10     16.6   15.5
+1ES_1959+650   0.047   19 59 59.8   +65 08 55     15.2   14.8
+BL_Lac         0.069   22 02 43.3   +42 16 40     14.9   15.0
+1ES_2344+514   0.044   23 47 04.8   +51 42 18     16.5   13.9
+--------------------------------------------------------------
+1ES_0229+200     -     02 32 48.6   +20 17 17       -     ?
+AO_0235+164      -     02 38 38.9   +16 36 59       -     ?
+HB89_0317+185    -     03 19 51.8   +18 45 34       -     ?
+1ES_0323+022     -     03 26 14.0   +02 25 15       -     ?
+3C_120           -     04 33 11.1   +05 21 16       -     ?
+S5_0716+714      -     07 21 53.4   +71 20 36       -     ?
+PKS_0735+178     -     07 38 07.4   +17 42 19       -     ?
+0836+710         -     08 41 24.4   +70 53 42       -     ?
+1ES_0927+500     -     09 30 37.6   +49 50 26       -     ?
+S4_0954+65       -     09 58 47.2   +65 33 55       -     ?
+ON_231           -     12 21 31.7   +28 13 59       -     ?
+3C_273           -     12 29 06.7   +02 03 08       -     ?
+3C_279           -     12 56 11.2   -05 47 22       -     ?
+PG_1424+240      -     14 27 00.4   +23 48 00       -     ?
+PG_1553+113      -     15 55 43.0   +11 11 24       -     ?
+HB89_1721+343    -     17 23 20.8   +34 17 58       -     ?
+H_1722+119       -     17 25 04.3   +11 52 15       -     ?
+1ES_1741+196     -     17 43 57.8   +19 35 09       -     ?
+PKS_2155-304     -     21 58 52.0   -30 13 32       -     ?
+B3_2247+381      -     22 50 05.7   +38 24 37       -     ?
+3C_454.3         -     22 53 57.7   +16 08 54       -     ?
Index: trunk/MagicSoft/Mars/resources/compstars_R.txt
===================================================================
--- trunk/MagicSoft/Mars/resources/compstars_R.txt	(revision 8405)
+++ trunk/MagicSoft/Mars/resources/compstars_R.txt	(revision 8405)
@@ -0,0 +1,311 @@
+1ES_0033+595 A  14.10 1.06  -
+1ES_0033+595 B  13.33 0.56  -
+1ES_0033+595 C  12.52 0.74  -
+1ES_0033+595 D  13.66 1.46  prim
+1ES_0033+595 E  13.91 0.55  -
+1ES_0033+595 F  16.67 0.87  control
+1ES_0033+595 F1 15.58 0.90  -
+1ES_0033+595 F2 16.12 0.90  -
+1ES_0033+595 F3 15.95 0.90  -
+1ES_0033+595 BL 20.00 1.3   -
+
+1ES_0120+340 A  13.13 0.50  -
+1ES_0120+340 B  13.74 0.48  -
+1ES_0120+340 C  13.12 0.38  prim
+1ES_0120+340 D  14.02 0.51  -
+1ES_0120+340 E  13.55 0.56  -
+1ES_0120+340 F  16.76 0.57  -
+1ES_0120+340 G  16.43 0.45  control
+1ES_0120+340 F1 16.54 0.47  -
+1ES_0120+340 BL 20.00 0.6   -
+
+RGB_0136+391 A  13.13 0.60  control
+RGB_0136+391 B  13.82 0.42  prim
+RGB_0136+391 C  14.40 0.76  -
+RGB_0136+391 D  14.42 0.46  -
+RGB_0136+391 E  14.84 0.51  -
+RGB_0136+391 F  16.56 0.42  -
+RGB_0136+391 BL 20.00 0.4   -
+
+RGB_0214+517 A  13.85 0.51  prim
+RGB_0214+517 B  14.54 0.57  control
+RGB_0214+517 C  13.61 0.38  -
+RGB_0214+517 D  15.09 0.47  -
+RGB_0214+517 E  15.19 0.44  -
+RGB_0214+517 F1 15.55 0.50  -
+RGB_0214+517 F2 15.61 0.50  -
+RGB_0214+517 F3 15.80 0.50  -
+RGB_0214+517 BL 20.00 0.7   -
+
+3C_66A       A  13.38 0.22  prim
+3C_66A       B  14.28 0.49  control
+3C_66A       C1 12.70 0.09  -
+3C_66A       C2 13.62 0.56  -
+3C_66A       BL 20.00 0.5   -
+
+1ES_0229+200 A  13.80 0.50  prim
+1ES_0229+200 B  16.05 0.50  -
+1ES_0229+200 C  15.83 0.50  control
+1ES_0229+200 D  20.00 0.50  -
+
+AO_0235+164  1  12.69 0.34  -
+AO_0235+164  2  12.23 0.48  -
+AO_0235+164  3  12.48 0.44  -
+AO_0235+164  6  13.64 0.38  -
+AO_0235+164  8  15.79 0.79  control
+AO_0235+164  C1 14.23 0.55  prim
+AO_0235+164  BL 20.00 0.5   -
+
+HB89_0317+185 A  11.55 0.31 -
+HB89_0317+185 B  13.33 0.43 prim
+HB89_0317+185 C  20.00 0.50 control
+HB89_0317+185 BL 20.00 0.5  -
+
+1ES_0323+022 A  12.33 0.52  -
+1ES_0323+022 B  14.01 0.37  prim
+1ES_0323+022 C1 13.34 0.66  -
+1ES_0323+022 C2 13.84 0.60  -
+1ES_0323+022 C3 15.36 0.39  control
+1ES_0323+022 BL 20.00 0.5   -
+
+3C_120       A  16.1  0.5   -
+3C_120       B  16.2  0.5   -
+3C_120       C  16.5  0.5   -
+3C_120       D  16.6  0.5   -
+3C_120       2  15.2  0.5   control
+3C_120       3  13.9  0.5   prim
+
+1ES_0647+250 A  13.83 0.33  -
+1ES_0647+250 B  15.22 0.38  control
+1ES_0647+250 C  13.40 0.40  -
+1ES_0647+250 D  13.44 0.34  -
+1ES_0647+250 E  13.03 0.59  prim
+1ES_0647+250 F  14.89 0.38  -
+1ES_0647+250 BL 20.00 0.4   -
+
+S5_0716+714  1  10.63 0.36  -
+S5_0716+714  2  11.12 0.34  -    
+S5_0716+714  3  12.06 0.37  -      
+S5_0716+714  4  12.89 0.30  -
+S5_0716+714  5  13.18 0.37  prim
+S5_0716+714  6  13.26 0.37  control
+S5_0716+714  7  13.32 0.42  -      
+S5_0716+714  8  13.79 0.31  -      
+S5_0716+714  BL 20.00 0.5   -      
+
+PKS_0735+178 C  13.84 0.60  control
+PKS_0735+178 C1 12.91 0.33  -
+PKS_0735+178 C2 12.81 0.49  prim
+PKS_0735+178 D  15.44 0.44  -
+PKS_0735+178 BL 20.00 0.5   -
+
+1ES_0806+524 C1 12.56 0.48  -
+1ES_0806+524 C2 14.22 0.39  prim
+1ES_0806+524 C3 14.39 0.38  -
+1ES_0806+524 C4 15.24 0.35  control
+1ES_0806+524 C5 15.32 0.30  -
+1ES_0806+524 F1 18.21 0.50  -
+1ES_0806+524 BL 20.00 0.5   -
+
+0836+710     A  16.59 1.01  control
+0836+710     B  14.85 0.45  -
+0836+710     C  13.53 0.38  prim
+0836+710    BL  20.00 0.5   -
+
+OJ_287       4  13.74 0.44  prim
+OJ_287      11  14.65 0.29  -
+OJ_287      10  14.34 0.26  control
+OJ_287      C1  15.50 0.38  -
+OJ_287      C2  15.66 0.46  -
+OJ_287      BL  20.00 0.5   -
+
+1ES_0927+500 A  15.0  0.50  prim
+1ES_0927+500 B  20.00 0.50  control
+1ES_0927+500 C  20.00 0.50  -
+1ES_0927+500 BL 20.00 0.5   -
+
+1ES_1011+496 A  13.40 0.47  -
+1ES_1011+496 B  15.44 0.44  control
+1ES_1011+496 C  15.42 0.31  -
+1ES_1011+496 D  14.01 0.31  -
+1ES_1011+496 E  14.04 0.39  prim
+1ES_1011+496 BL 20.00 0.4   -
+
+1ES_1028+511 1  12.93 0.27  prim
+1ES_1028+511 2  14.04 0.25  -
+1ES_1028+511 3  14.18 0.22  -
+1ES_1028+511 4  14.17 0.23  -
+1ES_1028+511 5  14.75 0.28  control
+1ES_1028+511 6  14.87 0.19  -
+1ES_1028+511 BL 20.0  0.5   -
+
+Mkn_421      1  14.04 0.32  prim
+Mkn_421      2  15.20 0.37  control
+Mkn_421      3  15.24 0.53  -
+Mkn_421     F1  17.50 0.50  -
+Mkn_421     F2  20.00 0.50  -
+Mkn_421     BL  20.00 0.5   -
+
+RGB_1117+202 A  11.90 0.38  -
+RGB_1117+202 B  12.02 0.38  -
+RGB_1117+202 C  20.00 0.50  -
+RGB_1117+202 D  14.82 0.70  -
+RGB_1117+202 E  13.56 0.42  prim
+RGB_1117+202 F  15.16 0.43  control
+RGB_1117+202 BL 20.00 0.6   -
+
+Mkn_180      1  13.73 0.25  prim
+Mkn_180      2  14.41 0.39  control
+Mkn_180      3  15.13 0.36  -
+Mkn_180      4  15.66 0.34  -
+Mkn_180      F1 15.93 0.50  -
+Mkn_180      F2 15.96 0.50  -
+Mkn_180      BL 20.00 0.5   -
+
+RGB_1136+676 A  14.48 0.66  -
+RGB_1136+676 B  14.22 0.48  -
+RGB_1136+676 C  14.73 0.34  -
+RGB_1136+676 D  14.58 0.46  prim
+RGB_1136+676 E  15.80 0.42  control
+RGB_1136+676 F1 17.30 0.50  -
+RGB_1136+676 F2 16.99 0.50  -
+RGB_1136+676 F3 17.31 0.50  -
+RGB_1136+676 BL 20.00 0.7   -
+
+ON_325       B  14.59 0.37  prim
+ON_325       C1 16.21 0.29  control
+ON_325       BL 20.00 0.5   -
+
+1ES_1218+304 A  12.06 0.41  -
+1ES_1218+304 B  13.61 0.40  prim
+1ES_1218+304 C  15.58 0.62  control
+1ES_1218+304 F1 15.59 0.50  -
+1ES_1218+304 BL 20.00 0.4   -
+
+ON_231       A  11.72 0.36  -
+ON_231       C1 16.03 0.57  control
+ON_231       D  13.86 0.95  prim
+ON_231       BL 20.00 0.5   -
+
+3C_279	     1	15.45 0.49  control
+3C_279	     2  12.05 0.37  -
+3C_279	     3  14.53 0.37  prim
+3C_279	     4  12.57 0.43  -
+3C_279	     5  20.00 0.00  -
+3C_279	     6  12.45 0.36  -
+3C_279	     7  15.13 0.53  -
+3C_279	     8  14.44 0.53  -
+3C_279	     BL 20.00 0.5   -
+
+RGB_1417+257 A  13.78 0.57  prim
+RGB_1417+257 C1 15.29 1.16  -
+RGB_1417+257 C2 16.13 0.59  control
+RGB_1417+257 F1 18.22 0.50  -
+RGB_1417+257 F2 18.33 0.50  -
+RGB_1417+257 F3 18.29 0.50  -
+RGB_1417+257 BL 20.00 1.0   -
+
+PG_1424+240  C1 13.20 0.39  prim
+PG_1424+240  C2 13.32 0.38  control
+PG_1424+240  C3 15.57 0.34  -
+
+1ES_1426+428 A  13.23 0.93  control
+1ES_1426+428 B  14.17 0.44  prim
+1ES_1426+428 C  13.00 0.46  -
+1ES_1426+428 D  15.20 0.33  -
+1ES_1426+428 BL 20.00 0.5   -
+
+1ES_1544+820 A  14.59 0.37  -
+1ES_1544+820 B  15.35 0.80  control
+1ES_1544+820 C  14.41 0.38  -
+1ES_1544+820 D  12.87 0.31  prim
+1ES_1544+820 E  14.24 0.41  -
+1ES_1544+820 BL 20.00 0.5   -
+
+PG_1553+113  1  13.2  0.5   prim
+PG_1553+113  2  14.6  0.5   -
+PG_1553+113  3  12.8  0.5   -
+PG_1553+113  4  14.6  0.5   control
+PG_1553+113  5  13.5  0.5   -
+PG_1553+113  7  12.7  0.5   -
+PG_1553+113  8  12.4  0.5   -
+PG_1553+113  BL 20.00 0.5   -
+
+Mkn_501      1  12.11 0.50  -
+Mkn_501      2  12.79 0.44  -
+Mkn_501      3  14.80 0.44  control
+Mkn_501      4  14.96 0.34  prim
+Mkn_501      5  15.08 0.43  prim
+Mkn_501      6  14.99 0.68  prim
+Mkn_501      F1 15.78 0.50  -
+Mkn_501      BL 20.00 0.6   -
+
+HB89_1721+343 A 13.4  0.50  prim 
+HB89_1721+343 B 14.1  0.50  - 
+HB89_1721+343 C 14.1  0.50  - 
+HB89_1721+343 D 20.00 0.50  control 
+HB89_1721+343 E 20.00 0.50  - 
+
+H_1722+119   C1 10.94 1.04  -
+H_1722+119   C2 12.62 0.59  prim
+H_1722+119   C3 13.63 0.47  -
+H_1722+119   C4 15.14 0.60  control
+H_1722+119   BL 20.00 0.5   -
+
+1ES_1741+196 C1 11.1  0.50  -
+1ES_1741+196 C2 13.6  0.50  prim
+1ES_1741+196 C4 14.1  0.50  control
+1ES_1741+196 C5 20.00 0.50  -
+
+OT_546       B  12.81 0.33  prim
+OT_546       H  14.99 0.33  control
+OT_546       L  15.71 0.36  -
+OT_546       BL 20.00 0.5   -
+
+1ES_1959+650 1  12.29 0.38  -
+1ES_1959+650 2  12.53 0.33  -
+1ES_1959+650 3  12.27 0.91  -
+1ES_1959+650 4  14.08 0.45  prim
+1ES_1959+650 5  14.00 0.54  -
+1ES_1959+650 6  14.78 0.42  prim
+1ES_1959+650 7  14.79 0.45  control
+1ES_1959+650 BL 20.00 0.5   -
+
+PKS_2155-304 2  11.67 0.38  prim
+PKS_2155-304 3  12.47 0.53  control
+PKS_2155-304 4  13.92 0.36  -
+PKS_2155-304 5  15.01 0.34  -
+PKS_2155-304 BL 20.00 0.5   -
+
+BL_Lac       B  11.99 0.91  -
+BL_Lac       C  13.79 0.47  prim
+BL_Lac       K  15.00 0.47  -
+BL_Lac       H  13.73 0.67  control
+BL_Lac       F1 15.60 0.50  -
+BL_Lac       F2 15.32 0.50  -
+BL_Lac       BL 20.00 0.5   -
+
+B3_2247+381  A  12.5  0.50  -
+B3_2247+381  B  13.0  0.50  -
+B3_2247+381  C  13.9  0.50  prim
+B3_2247+381  D  12.6  0.50  -
+B3_2247+381  E  20.00 0.50  control
+
+3C_454.3     A  15.32 0.54  -
+3C_454.3     B  14.73 0.48  -
+3C_454.3     C  13.98 0.45  -
+3C_454.3     D  13.22 0.63  -
+3C_454.3     E  14.92 0.84  control
+3C_454.3     F  14.83 0.38  -
+3C_454.3     G  14.83 0.59  -
+3C_454.3     H  13.10 0.55  prim
+3C_454.3     C1 15.27 0.40  -
+3C_454.3     BL 20.00 0.5   -
+
+1ES_2344+514 C1 12.25 0.36  prim
+1ES_2344+514 C2 14.20 0.42  -
+1ES_2344+514 C3 15.40 0.49  control
+1ES_2344+514  A 13.40 0.50  -
+1ES_2344+514 F1 16.71 0.50  -
+1ES_2344+514 F2 16.19 0.50  -
+1ES_2344+514 BL 20.00 0.5   -
Index: trunk/MagicSoft/Mars/resources/good_compstars_R.txt
===================================================================
--- trunk/MagicSoft/Mars/resources/good_compstars_R.txt	(revision 8405)
+++ trunk/MagicSoft/Mars/resources/good_compstars_R.txt	(revision 8405)
@@ -0,0 +1,210 @@
+1ES_0033+595 A  14.10 1.06  -
+1ES_0033+595 B  13.33 0.56  -
+1ES_0033+595 C  12.52 0.74  -
+1ES_0033+595 D  13.66 1.46  prim
+1ES_0033+595 E  13.91 0.55  -
+
+1ES_0120+340 A  13.13 0.50  -
+1ES_0120+340 B  13.74 0.48  -
+1ES_0120+340 C  13.12 0.38  prim
+1ES_0120+340 D  14.02 0.51  -
+1ES_0120+340 E  13.55 0.56  -
+
+RGB_0136+391 A  13.13 0.60  control
+RGB_0136+391 B  13.82 0.42  prim
+RGB_0136+391 C  14.40 0.76  -
+RGB_0136+391 D  14.42 0.46  -
+RGB_0136+391 E  14.84 0.51  -
+
+RGB_0214+517 A  13.85 0.51  prim
+RGB_0214+517 B  14.54 0.57  control
+RGB_0214+517 C  13.61 0.38  -
+RGB_0214+517 D  15.09 0.47  -
+RGB_0214+517 E  15.19 0.44  -
+RGB_0214+517 F1 15.55 0.50  -
+RGB_0214+517 F2 15.61 0.50  -
+RGB_0214+517 F3 15.80 0.50  -
+
+
+3C_66A       A  13.38 0.22  prim
+3C_66A       B  14.28 0.49  control
+3C_66A       C1 12.70 0.09  -
+3C_66A       C2 13.62 0.56  -
+
+1ES_0229+200 A  13.80 0.50  prim
+
+AO_0235+164  1  12.69 0.34  -
+AO_0235+164  2  12.23 0.48  -
+AO_0235+164  3  12.48 0.44  -
+AO_0235+164  6  13.64 0.38  -
+AO_0235+164  8  15.79 0.79  control
+AO_0235+164  C1 14.23 0.55  prim
+
+HB89_0317+185 A  11.55 0.31 -
+HB89_0317+185 B  13.33 0.43 prim
+
+1ES_0323+022 A  12.33 0.52  -
+1ES_0323+022 B  14.01 0.37  prim
+1ES_0323+022 C1 13.34 0.66  -
+1ES_0323+022 C2 13.84 0.60  -
+1ES_0323+022 C3 15.36 0.39  control
+
+1ES_0647+250 A  13.83 0.33  -
+1ES_0647+250 B  15.22 0.38  control
+1ES_0647+250 C  13.40 0.40  -
+1ES_0647+250 D  13.44 0.34  -
+1ES_0647+250 E  13.03 0.59  prim
+1ES_0647+250 F  14.89 0.38  -
+
+S5_0716+714  1  10.63 0.36  -
+S5_0716+714  2  11.12 0.34  -    
+S5_0716+714  3  12.06 0.37  -      
+S5_0716+714  4  12.89 0.30  -
+S5_0716+714  5  13.18 0.37  prim
+S5_0716+714  6  13.26 0.37  control
+S5_0716+714  7  13.32 0.42  -      
+S5_0716+714  8  13.79 0.31  -      
+
+PKS_0735+178 C  13.84 0.60  control
+PKS_0735+178 C1 12.91 0.33  -
+PKS_0735+178 C2 12.81 0.49  prim
+PKS_0735+178 D  15.44 0.44  -
+
+1ES_0806+524 C1 12.56 0.48  -
+1ES_0806+524 C2 14.22 0.39  prim
+1ES_0806+524 C3 14.39 0.38  -
+1ES_0806+524 C4 15.24 0.35  control
+1ES_0806+524 C5 15.32 0.30  -
+
+0836+710     B  14.85 0.45  -
+0836+710     C  13.53 0.38  prim
+
+OJ_287       4  13.74 0.44  prim
+OJ_287      11  14.65 0.29  -
+OJ_287      10  14.34 0.26  control
+OJ_287      C1  15.50 0.38  -
+OJ_287      C2  15.66 0.46  -
+
+1ES_1011+496 A  13.40 0.47  -
+1ES_1011+496 B  15.44 0.44  control
+1ES_1011+496 C  15.42 0.31  -
+1ES_1011+496 D  14.01 0.31  -
+1ES_1011+496 E  14.04 0.39  prim
+
+1ES_1028+511 1  12.93 0.27  prim
+1ES_1028+511 2  14.04 0.25  -
+1ES_1028+511 3  14.18 0.22  -
+1ES_1028+511 4  14.17 0.23  -
+1ES_1028+511 5  14.75 0.28  control
+1ES_1028+511 6  14.87 0.19  -
+
+Mkn_421      1  14.04 0.32  prim
+Mkn_421      2  15.20 0.37  control
+Mkn_421      3  15.24 0.53  -
+
+RGB_1117+202 A  11.90 0.38  -
+RGB_1117+202 B  12.02 0.38  -
+RGB_1117+202 D  14.82 0.70  -
+RGB_1117+202 E  13.56 0.42  prim
+RGB_1117+202 F  15.16 0.43  control
+
+Mkn_180      1  13.73 0.25  prim
+Mkn_180      2  14.41 0.39  control
+Mkn_180      3  15.13 0.36  -
+Mkn_180      4  15.66 0.34  -
+Mkn_180      F1 15.93 0.50  -
+Mkn_180      F2 15.96 0.50  -
+
+RGB_1136+676 A  14.48 0.66  -
+RGB_1136+676 B  14.22 0.48  -
+RGB_1136+676 C  14.73 0.34  -
+RGB_1136+676 D  14.58 0.46  prim
+RGB_1136+676 E  15.80 0.42  control
+
+ON_325       B  14.59 0.37  prim
+
+1ES_1218+304 A  12.06 0.41  -
+1ES_1218+304 B  13.61 0.40  prim
+1ES_1218+304 C  15.58 0.62  control
+1ES_1218+304 F1 15.59 0.50  -
+
+ON_231       A  11.72 0.36  -
+ON_231       D  13.86 0.95  prim
+
+3C_279	     1	15.45 0.49  control
+3C_279	     2  12.05 0.37  -
+3C_279	     3  14.53 0.37  prim
+3C_279	     4  12.57 0.43  -
+3C_279	     6  12.45 0.36  -
+3C_279	     7  15.13 0.53  -
+3C_279	     8  14.44 0.53  -
+
+RGB_1417+257 A  13.78 0.57  prim
+RGB_1417+257 C1 15.29 1.16  -
+
+PG_1424+240  C1 13.20 0.39  prim
+PG_1424+240  C2 13.32 0.38  control
+PG_1424+240  C3 15.57 0.34  -
+
+1ES_1426+428 A  13.23 0.93  control
+1ES_1426+428 B  14.17 0.44  prim
+1ES_1426+428 C  13.00 0.46  -
+1ES_1426+428 D  15.20 0.33  -
+
+1ES_1544+820 A  14.59 0.37  -
+1ES_1544+820 B  15.35 0.80  control
+1ES_1544+820 C  14.41 0.38  -
+1ES_1544+820 D  12.87 0.31  prim
+1ES_1544+820 E  14.24 0.41  -
+
+Mkn_501      1  12.11 0.50  -
+Mkn_501      2  12.79 0.44  -
+Mkn_501      3  14.80 0.44  control
+Mkn_501      4  14.96 0.34  prim
+Mkn_501      5  15.08 0.43  prim
+Mkn_501      6  14.99 0.68  prim
+Mkn_501      F1 15.78 0.50  -
+
+H_1722+119   C1 10.94 1.04  -
+H_1722+119   C2 12.62 0.59  prim
+H_1722+119   C3 13.63 0.47  -
+H_1722+119   C4 15.14 0.60  control
+
+OT_546       B  12.81 0.33  prim
+OT_546       H  14.99 0.33  control
+OT_546       L  15.71 0.36  -
+
+1ES_1959+650 1  12.29 0.38  -
+1ES_1959+650 2  12.53 0.33  -
+1ES_1959+650 3  12.27 0.91  -
+1ES_1959+650 4  14.08 0.45  prim
+1ES_1959+650 5  14.00 0.54  -
+1ES_1959+650 6  14.78 0.42  prim
+1ES_1959+650 7  14.79 0.45  control
+
+PKS_2155-304 2  11.67 0.38  prim
+PKS_2155-304 3  12.47 0.53  control
+PKS_2155-304 4  13.92 0.36  -
+PKS_2155-304 5  15.01 0.34  -
+
+BL_Lac       B  11.99 0.91  -
+BL_Lac       C  13.79 0.47  prim
+BL_Lac       K  15.00 0.47  -
+BL_Lac       H  13.73 0.67  control
+BL_Lac       F1 15.60 0.50  -
+BL_Lac       F2 15.32 0.50  -
+
+3C_454.3     A  15.32 0.54  -
+3C_454.3     B  14.73 0.48  -
+3C_454.3     C  13.98 0.45  -
+3C_454.3     D  13.22 0.63  -
+3C_454.3     E  14.92 0.84  control
+3C_454.3     F  14.83 0.38  -
+3C_454.3     G  14.83 0.59  -
+3C_454.3     H  13.10 0.55  prim
+3C_454.3     C1 15.27 0.40  -
+
+1ES_2344+514 C1 12.25 0.36  prim
+1ES_2344+514 C2 14.20 0.42  -
+1ES_2344+514 C3 15.40 0.49  control
+1ES_2344+514  A 13.40 0.50  -