Index: trunk/MagicSoft/Mars/mjobs/MDataSet.cc
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MDataSet.cc	(revision 8440)
+++ trunk/MagicSoft/Mars/mjobs/MDataSet.cc	(revision 8441)
@@ -18,5 +18,5 @@
 !   Author(s): Thomas Bretz, 1/2005 <mailto:tbretz@astro.uni-wuerzburg.de>
 !
-!   Copyright: MAGIC Software Development, 2004-2005
+!   Copyright: MAGIC Software Development, 2004-2007
 !
 !
@@ -67,4 +67,9 @@
 //   * Sequence filenames should also have names allowing to order them
 //     in time, but it is not necessary.
+//
+// Class Version 2:
+//  + fMonteCarlo
+//  + fWobbleMode
+//  - fIsWobbleMode
 //
 /////////////////////////////////////////////////////////////////////////////
@@ -97,7 +102,5 @@
 using namespace std;
 
-const TString MDataSet::fgCatalog       = "/magic/datacenter/setup/magic_favorites.edb";
-const TString MDataSet::fgPathDataFiles = "/magic/data/star";
-const TString MDataSet::fgPathSequences = "/magic/sequences";
+const TString MDataSet::fgCatalog = "/magic/datacenter/setup/magic_favorites.edb";
 
 // --------------------------------------------------------------------------
@@ -217,6 +220,12 @@
     Split(str, fNumSequencesOff);
 
-    SetupDefaultPath(sequences, fgPathSequences);
-    SetupDefaultPath(data,      fgPathDataFiles);
+    fNameSource   = env.GetValue("SourceName", "");
+    fCatalog      = env.GetValue("Catalog",    fgCatalog);
+    fWobbleMode   = env.GetValue("WobbleMode", kFALSE);
+    fMonteCarlo   = env.GetValue("MonteCarlo", kFALSE);
+    fComment      = env.GetValue("Comment",    "");
+
+    SetupDefaultPath(sequences, GetDefPathSequences());
+    SetupDefaultPath(data,      GetDefPathDataFiles());
 
     fPathSequences = sequences;
@@ -225,9 +234,4 @@
     ResolveSequences(env, fNumSequencesOn,  fSequencesOn);
     ResolveSequences(env, fNumSequencesOff, fSequencesOff);
-
-    fNameSource   = env.GetValue("SourceName", "");
-    fCatalog      = env.GetValue("Catalog",    fgCatalog);
-    fIsWobbleMode = env.GetValue("WobbleMode", kFALSE);
-    fComment      = env.GetValue("Comment",    "");
 
     fNameSource = fNameSource.Strip(TString::kBoth);
@@ -287,7 +291,6 @@
     gLog << "Catalog: " << fCatalog << endl;
 
-    gLog << "WobbleMode: " << (fIsWobbleMode?"On":"Off") << endl << endl;
-
-
+    gLog << "WobbleMode: " << (fWobbleMode?"On":"Off") << endl << endl;
+    gLog << "MonteCarlo: " << (fMonteCarlo?"Yes":"No") << endl << endl;
 
     gLog << "Comment: " << fComment << endl;
Index: trunk/MagicSoft/Mars/mjobs/MDataSet.h
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MDataSet.h	(revision 8440)
+++ trunk/MagicSoft/Mars/mjobs/MDataSet.h	(revision 8441)
@@ -20,7 +20,5 @@
 {
 private:
-    static const TString fgCatalog;       //! Default Catalog path
-    static const TString fgPathDataFiles; //! Default path to data files
-    static const TString fgPathSequences; //! Default path to sequences
+    static const TString fgCatalog; //! Default Catalog path
 
     UInt_t  fNumAnalysis;     // Analysis number (artificial)
@@ -40,5 +38,6 @@
     TString fComment;         // Comment from DS file
 
-    Bool_t  fIsWobbleMode;    // Wobble Mode for this dataset?
+    Bool_t  fWobbleMode;      // Wobble Mode for this dataset?
+    Bool_t  fMonteCarlo;      // For default paths use MC or data path
 
     void Split(TString &runs, TArrayI &data) const;
@@ -78,5 +77,6 @@
         ds.fCatalog = fCatalog;
         ds.fComment = fComment;
-        ds.fIsWobbleMode = fIsWobbleMode;
+        ds.fWobbleMode = fWobbleMode;
+        ds.fMonteCarlo = fMonteCarlo;
 
         TObject *o=0;
@@ -112,7 +112,13 @@
     Bool_t GetSourcePos(MPointingPos &pos) const;
 
-    Bool_t IsWobbleMode() const { return fIsWobbleMode; }
+    Bool_t IsWobbleMode() const { return fWobbleMode; }
+    Bool_t IsMonteCarlo() const { return fMonteCarlo; }
+
+    const char *GetDefPathDataFiles() const { return fMonteCarlo ? "/magic/montecarlo/star"      : "/magic/data/star"; }
+    const char *GetDefPathSequences() const { return fMonteCarlo ? "/magic/montecarlo/sequences" : "/magic/sequences"; }
 
     // Setter
+    void SetMonteCarlo(Bool_t ismc=kTRUE) { fMonteCarlo=ismc; }
+
     static Bool_t AddSequencesFromList(const TList &list, MDirIter &files);
     static Int_t  AddFilesToChain(MDirIter &files, TChain &chain);
@@ -144,5 +150,5 @@
     void Print(Option_t *o="") const; //*MENU*
 
-    ClassDef(MDataSet, 1)
+    ClassDef(MDataSet, 2)
 };
 
Index: trunk/MagicSoft/Mars/mjobs/MJCut.cc
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MJCut.cc	(revision 8440)
+++ trunk/MagicSoft/Mars/mjobs/MJCut.cc	(revision 8441)
@@ -91,5 +91,5 @@
 MJCut::MJCut(const char *name, const char *title)
     : fStoreSummary(kFALSE), fStoreResult(kTRUE), fWriteOnly(kFALSE),
-    fIsWobble(kFALSE), fIsMonteCarlo(kFALSE),  fFullDisplay(kTRUE),
+    fIsWobble(kFALSE), fFullDisplay(kTRUE),
     fRndmSrcPos(kFALSE), fNameHist("MHThetaSq"), fCalcHadronness(0), fCalcDisp(0)
 {
@@ -331,5 +331,4 @@
     EnableStorageOfResult(GetEnv("ResultFile", fStoreResult));
     EnableWobbleMode(GetEnv("WobbleMode", fIsWobble));
-    EnableMonteCarloMode(GetEnv("MonteCarlo", fIsMonteCarlo));
     EnableFullDisplay(GetEnv("FullDisplay", fFullDisplay));
     EnableRandomSrcPos(GetEnv("RandomSourcePosition", fRndmSrcPos));
@@ -643,5 +642,5 @@
     readoffmc.DisableAutoScheme();
 
-    MRead &readoff = fIsMonteCarlo ? (MRead&)readoffmc : (MRead&)readoffdata;
+    MRead &readoff = set.IsMonteCarlo() ? (MRead&)readoffmc : (MRead&)readoffdata;
     const Bool_t setrc = fIsWobble ? set.AddFilesOn(readoff) : set.AddFilesOff(readoff);
     if (!setrc && set.HasOffSequences())
@@ -831,5 +830,5 @@
     readonmc.DisableAutoScheme();
 
-    MRead &readon = fIsMonteCarlo ? (MRead&)readonmc : (MRead&)readondata;
+    MRead &readon = set.IsMonteCarlo() ? (MRead&)readonmc : (MRead&)readondata;
     if (!set.AddFilesOn(readon))
         return kFALSE;
@@ -873,5 +872,5 @@
     hvs.SetTitle("Effective On-Time vs. Zenith Angle;\\Theta [\\circ];T_{on} [s]");
     MFillH fillvs(&hvs, "", "FillOnTime");
-    if (!fIsMonteCarlo)
+    if (!set.IsMonteCarlo())
         fillvs.SetWeight("MEffectiveOnTime");
     fillvs.SetNameTab("OnTime");
@@ -946,5 +945,5 @@
         }
 
-        if (!fIsMonteCarlo)
+        if (!set.IsMonteCarlo())
             tlist.AddToList(&fillvs, "EffectiveOnTime");
         else
Index: trunk/MagicSoft/Mars/mjobs/MJCut.h
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MJCut.h	(revision 8440)
+++ trunk/MagicSoft/Mars/mjobs/MJCut.h	(revision 8441)
@@ -22,5 +22,4 @@
     Bool_t  fWriteOnly;
     Bool_t  fIsWobble;
-    Bool_t  fIsMonteCarlo;
     Bool_t  fFullDisplay;
     Bool_t  fRndmSrcPos;
@@ -61,5 +60,4 @@
     void EnableWriteOnly(Bool_t b=kTRUE)         { fWriteOnly    = b; }
     void EnableWobbleMode(Bool_t b=kTRUE)        { fIsWobble     = b; }
-    void EnableMonteCarloMode(Bool_t b=kTRUE)    { fIsMonteCarlo = b; }
     void EnableFullDisplay(Bool_t b=kTRUE)       { fFullDisplay  = b; }
     void EnableRandomSrcPos(Bool_t b=kTRUE)      { fRndmSrcPos   = b; }