Index: trunk/MagicSoft/Mars/mjobs/MJCalibrateSignal.cc
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MJCalibrateSignal.cc	(revision 8449)
+++ trunk/MagicSoft/Mars/mjobs/MJCalibrateSignal.cc	(revision 8452)
@@ -69,5 +69,4 @@
 
 #include "MCalibConstCam.h"
-#include "MCalibrationIntensityChargeCam.h"
 
 #include "MHCalibrationChargeCam.h"
@@ -125,5 +124,5 @@
 //
 MJCalibrateSignal::MJCalibrateSignal(const char *name, const char *title)
-    : fExtractor(0), fIsInterlaced(kTRUE), fIsRelTimesUpdate(kFALSE), fIsMovieMode(kFALSE)
+    : fExtractor(0), fIsInterlaced(kTRUE), fIsRelTimesUpdate(kTRUE), fIsMovieMode(kFALSE)
 {
     fName  = name  ? name  : "MJCalibrateSignal";
@@ -250,6 +249,4 @@
 
     // Read File
-    MCalibrationIntensityChargeCam      ichcam;
-
     MHCalibrationChargeCam      hchacam;
     MHCalibrationChargeBlindCam hbndcam;
@@ -276,5 +273,4 @@
     if (fIsInterlaced)
     {
-        interlacedcont.Add(&ichcam);
         interlacedcont.Add(&hchacam);
 	if (IsUseBlindPixel())
@@ -531,4 +527,5 @@
 
     MCalibrationChargeCalc  chcalc;
+    chcalc.SetContinousCalibration();
     chcalc.SetExtractor(extractor3);
 
@@ -546,5 +543,5 @@
 
     //
-    // Intensity Calibration histogramming
+    // Calibration histogramming
     //
     MFillH filpin(&hpndiod, "MExtractedSignalPINDiode",   "FillPINDiode");
@@ -695,5 +692,5 @@
     tlist3.SetFilter(&fcalib);
 
-    //MFDataPhrase filcalco("MCalibrationIntensityConstCam.IsReadyToSave>0.5", "CalibConstFilter");
+    //MFDataPhrase filcalco("MCalibrationConstCam.IsReadyToSave>0.5", "CalibConstFilter");
     if (fIsInterlaced)
     {
Index: trunk/MagicSoft/Mars/mjobs/MJCalibration.cc
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MJCalibration.cc	(revision 8449)
+++ trunk/MagicSoft/Mars/mjobs/MJCalibration.cc	(revision 8452)
@@ -19,5 +19,5 @@
 !   Author(s): Markus Gaug, 02/2004 <mailto:markus@ifae.es>
 !
-!   Copyright: MAGIC Software Development, 2000-2005
+!   Copyright: MAGIC Software Development, 2000-2007
 !
 !
@@ -218,14 +218,13 @@
   fRefConvFADC2PheInner      = 0.14;
   fRefConvFADC2PheOuter      = 0.52;
-  fRefQEInner                = 0.18;            
+  fRefQEInner                = 0.18;
   fRefQEOuter                = 0.12;
-  fRefArrivalTimeInner       = 4.5;            
+  fRefArrivalTimeInner       = 4.5;
   fRefArrivalTimeOuter       = 5.0;
-  fRefArrivalTimeRmsInner    = 0.5;            
+  fRefArrivalTimeRmsInner    = 0.5;
   fRefArrivalTimeRmsOuter    = 0.5;
-  fRefTimeOffsetInner        = -0.23;    
-  fRefTimeOffsetOuter        = 0.39;    
-  fRefTimeResolutionInner    = 0.153;
-  fRefTimeResolutionOuter    = 0.128;
+  fRefTimeOffsetOuter        = 0.62;
+  fRefTimeResolutionInner    = 0.12;
+  fRefTimeResolutionOuter    = 0.09;
 
 }
@@ -813,5 +812,5 @@
       // for the datacheck, fix the ranges!!
       //
-      const Double_t max = 11.;
+      const Double_t max = 12.;
       obj8->SetMinimum(0.);
       obj8->SetMaximum(max);
@@ -825,5 +824,5 @@
       const Int_t numcol = gStyle->GetNumberOfColors()-3;
       
-      TPaveText *pave = new TPaveText(0.05,0.02,0.975,0.99);
+      TPaveText *pave = new TPaveText(0.05,0.02,0.975,0.999);
       pave->SetBit(kCanDelete);
       pave->ConvertNDCtoPad();
@@ -866,11 +865,15 @@
       t17->SetTextColor(gStyle->GetColorPalette(Int_t(9./max*numcol)));
       t17->SetTextAlign(12);
+      TText *t18 = pave->AddText(Form("Deviating Rel. Arrival Time RMS:                %3i pixels",
+                                       CountBadPixels(&disp24,10 )));
+      t18->SetTextColor(gStyle->GetColorPalette(Int_t(10./max*numcol)));
+      t18->SetTextAlign(12);
       TText *t15= pave->AddText(Form("Too many Low-Gain Blackout Events:       %3i pixels",
-                                       CountBadPixels(&disp24,10 )));
-      t15->SetTextColor(gStyle->GetColorPalette(Int_t(10./max*numcol)));
+                                       CountBadPixels(&disp24,11 )));
+      t15->SetTextColor(gStyle->GetColorPalette(Int_t(11./max*numcol)));
       t15->SetTextAlign(12);
       TText *t14= pave->AddText(Form("Previously Excluded:                                   %3i pixels",
-                                       CountBadPixels(&disp24,11)));
-      t14->SetTextColor(gStyle->GetColorPalette(Int_t(11./max*numcol)));
+                                       CountBadPixels(&disp24,12)));
+      t14->SetTextColor(gStyle->GetColorPalette(Int_t(12./max*numcol)));
       t14->SetTextAlign(12);
       pave->Draw();
@@ -903,5 +906,5 @@
       gStyle->SetPalette(1);
       
-      TPaveText *pave2 = new TPaveText(0.025,0.02,0.95,0.99);
+      TPaveText *pave2 = new TPaveText(0.025,0.02,0.95,0.999);
       pave2->SetBit(kCanDelete);
       pave2->ConvertNDCtoPad();
@@ -1239,5 +1242,5 @@
       break;
     case 5:
-      l1 = line.DrawLine(0, fRefTimeOffsetInner, x, fRefTimeOffsetInner );
+      l1 = line.DrawLine(0, 0, x, 0);
       break;
     case 6:
@@ -1391,5 +1394,4 @@
 //   RefArrivalTimeRmsOuter
 //
-//   RefTimeOffsetInner
 //   RefTimeOffsetOuter
 //   RefTimeResolutionInner
@@ -1425,5 +1427,4 @@
     fRefArrivalTimeRmsInner = refenv.GetValue("RefArrivalTimeRmsInner",fRefArrivalTimeRmsInner);
     fRefArrivalTimeRmsOuter = refenv.GetValue("RefArrivalTimeRmsOuter",fRefArrivalTimeRmsOuter);
-    fRefTimeOffsetInner     = refenv.GetValue("RefTimeOffsetInner",fRefTimeOffsetInner);
     fRefTimeOffsetOuter     = refenv.GetValue("RefTimeOffsetOuter",fRefTimeOffsetOuter);
     fRefTimeResolutionInner = refenv.GetValue("RefTimeResolutionInner",fRefTimeResolutionInner);
@@ -1894,10 +1895,4 @@
     tlist.AddToList(&cont);
 
-    if (IsRelTimes())
-    {
-        tlist.AddToList(&filltme);
-        tlist.AddToList(&timecalc);
-    }
-
     tlist.AddToList(&fillcam);
 
@@ -1909,4 +1904,9 @@
     tlist.AddToList(&calcalc);
 
+    if (IsRelTimes())
+    {
+        tlist.AddToList(&filltme);
+        tlist.AddToList(&timecalc);
+    }
 
     MHCamEvent evt2(0, "Extra'd", "Extracted Calibration Signal;;S [cnts/sl]");
Index: trunk/MagicSoft/Mars/mjobs/calibrationref.rc
===================================================================
--- trunk/MagicSoft/Mars/mjobs/calibrationref.rc	(revision 8449)
+++ trunk/MagicSoft/Mars/mjobs/calibrationref.rc	(revision 8452)
@@ -63,8 +63,7 @@
 # Relative Time Calibration:
 #
-RefTimeOffsetInner:       -0.23
-RefTimeOffsetOuter:       0.39    
-RefTimeResolutionInner:   0.153
-RefTimeResolutionOuter:   0.128
+RefTimeOffsetOuter:       0.62    
+RefTimeResolutionInner:   0.12
+RefTimeResolutionOuter:   0.09
 #
 # Mean Absolute Time:
Index: trunk/MagicSoft/Mars/mjobs/calibrationref_Dec04.rc
===================================================================
--- trunk/MagicSoft/Mars/mjobs/calibrationref_Dec04.rc	(revision 8449)
+++ trunk/MagicSoft/Mars/mjobs/calibrationref_Dec04.rc	(revision 8452)
@@ -63,8 +63,7 @@
 # Relative Time Calibration:
 #
-RefTimeOffsetInner:       -0.23
-RefTimeOffsetOuter:       0.39    
-RefTimeResolutionInner:   0.153
-RefTimeResolutionOuter:   0.128
+RefTimeOffsetOuter:       0.62
+RefTimeResolutionInner:   0.12
+RefTimeResolutionOuter:   0.09
 #
 # Mean Absolute Time:
Index: trunk/MagicSoft/Mars/mjobs/calibrationref_Nov04.rc
===================================================================
--- trunk/MagicSoft/Mars/mjobs/calibrationref_Nov04.rc	(revision 8449)
+++ trunk/MagicSoft/Mars/mjobs/calibrationref_Nov04.rc	(revision 8452)
@@ -63,8 +63,7 @@
 # Relative Time Calibration:
 #
-RefTimeOffsetInner:       -0.23
-RefTimeOffsetOuter:       0.39    
-RefTimeResolutionInner:   0.153
-RefTimeResolutionOuter:   0.128
+RefTimeOffsetOuter:       0.62
+RefTimeResolutionInner:   0.12
+RefTimeResolutionOuter:   0.09
 #
 # Mean Absolute Time: